Documentation Index
Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
Use this file to discover all available pages before exploring further.
Tessie provides full access to Tesla Fleet Telemetry. We’ve also built in significant improvements:
- Get instant access to Tesla Fleet Telemetry without an extremely complex and lengthy setup process
- Just connect to your dedicated streaming endpoint and you’re done; no servers or hosting required
Requirements
See this page for the latest vehicle requirements.
Get started
Using any WebSocket client, connect to: streaming.tessie.com/YOUR_VIN
Provide your access token in an Authorization header or as the access_token query parameter. Learn more.
Visit streaming.tessie.com/explorer for an example implementation. Check the page source code.
Data structure
All messages are formatted in JSON.
Example data message
Visit this data file to see all possible data points.
{
"data": [
{
"key": "IdealBatteryRange",
"value": {
"stringValue": "171.833"
}
},
{
"key": "ModuleTempMax",
"value": {
"stringValue": "41.500"
}
},
{
"key": "EnergyRemaining",
"value": {
"stringValue": "42.880"
}
},
{
"key": "Location",
"value": {
"locationValue": {,
"latitude": 37.4925352,
"longitude": -121.9447469
}
}
},
{
"key": "PackVoltage",
"value": {
"stringValue": "367.950"
}
},
{
"key": "ACChargingPower",
"value": {
"stringValue": "0.000"
}
},
{
"key": "Odometer",
"value": {
"stringValue": "11270.940"
}
},
{
"key": "PackCurrent",
"value": {
"stringValue": "-0.600"
}
},
{
"key": "GpsHeading",
"value": {
"stringValue": "81.639"
}
},
{
"key": "ACChargingEnergyIn",
"value": {
"stringValue": "17.260"
}
},
{
"key": "RatedRange",
"value": {
"stringValue": "171.833"
}
},
{
"key": "ChargeAmps",
"value": {
"stringValue": "48"
}
},
{
"key": "EstBatteryRange",
"value": {
"stringValue": "131.519"
}
},
{
"key": "ModuleTempMin",
"value": {
"stringValue": "41.000"
}
},
{
"key": "LifetimeEnergyUsed",
"value": {
"stringValue": "5567.591"
}
},
{
"key": "Soc",
"value": {
"stringValue": "54.987"
}
}
],
"createdAt": "2024-08-01T00:44:39.138713677Z",
"vin": "LRW3F7FR9NC123456"
}
Example alerts message
Visit stats.tessie.com/alerts to see all possible alert codes and their impact.
{
"alerts": [
{
"name": "VCFRONT_a361_washerFluidLowMomentary",
"audiences": [
"Service",
"Customer"
],
"startedAt": "2024-08-01T00:21:41.545Z",
"endedAt": "2024-08-01T00:21:49.543Z"
},
{
"name": "APP_w269_autopilotLimited",
"audiences": [
"Customer",
"Service"
],
"startedAt": "2024-08-01T00:15:08.542Z",
"endedAt": "2024-08-01T00:15:14.544Z"
}
],
"createdAt": "2024-08-01T00:44:32.558510331Z",
"vin": "LRW3F7FR9NC123456"
}
Example connectivity message
{
"vin": "LRW3F7FR9NC123456",
"connectionId": "913a422e-7169-48fa-a4a4-2eab9f12ab34",
"status": "DISCONNECTED",
"createdAt": "2024-10-29T21:56:14.764032001Z"
}
Example errors message
{
"errors": [
{
"createdAt": "2024-08-01T00:44:06.780721459Z",
"name": "unsupported_field",
"tags": {
"field_name": "LifetimeEnergyGainedRegen",
"name": "1bfd3e4b3966-496c-b87a-59999f71234"
},
"body": ""
}
],
"createdAt": "2024-08-01T00:44:06.780721459Z",
"vin": "LRW3F7FR9NC123456"
}